/*
 * Copyright (c) 2008 Rob Crowther
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * */
Components.utils.import("resource://gre/modules/Microformats.js");
var hcardformfiller = {
  onLoad: function() {
    this.initialized = true;
    this.strings = document.getElementById("hcardformfiller-strings");
    this.uF = {};
  },
  onToolbarButtonGrabCommand: function(e) {
    var uFcount = Microformats.count('hCard', content.document, {recurseExternalFrames: true});
    if (uFcount > 0) {
        var uFlist = Microformats.get('hCard', content.document, {recurseExternalFrames: true});
        this.uF = uFlist[0];
    }
  },
  onToolbarButtonPasteCommand: function(e) {
    if (this.uF.fn) {
       content.document.getElementById('author').value = this.uF.fn;
	   content.document.getElementById('email').value = this.uF.email[0].value;
	   content.document.getElementById('url').value = this.uF.url[0];
    }
  }
};
window.addEventListener("load", function(e) { hcardformfiller.onLoad(e); }, false);
